from abc import abstractmethod

from cpl_core.database import TableABC

from bot_api.abc.dto_abc import DtoABC


class TransformerABC:

    @staticmethod
    @abstractmethod
    def to_db(dto: DtoABC) -> TableABC: pass

    @staticmethod
    @abstractmethod
    def to_dto(db: TableABC) -> DtoABC: pass
